#ifndef F_CPU
#define F_CPU 12000000L
#endif

#ifndef _ALL_FUNCTION_H_
#define _ALL_FUNCTION_H_

#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include "usbdrv.h"

usbMsgLen_t usbFunctionSetup(uchar data[8]);
void Display(void);

void init()
{
	DDRB  = 0b00111111;
	DDRC  = 0b00010111;
	
	PORTB = 0b00000000;
	PORTC = 0b00001000;
	
	
	usbInit();
    usbDeviceDisconnect();
    _delay_ms(300);
    usbDeviceConnect();
    
	sei();//enable global interrupts
}

uint8_t in_c(uint8_t pin)
{
    DDRC &= ~(1<<pin);
    PORTC |= (1<<pin);
    return ((PINC & (1<<pin))>>pin);    
} 

#endif
