#include<avr/io.h>
#include"all_function.h"
#include "usbdrv.h"

#define VENDOR_RQ_COPY_DATA    0
#define VENDOR_RQ_GET_REED 	   1

uint16_t led_value[360];
uint8_t count_round;
uint16_t wheel_pos;
uint8_t i;

void main(void)
{
	init();
	
	wheel_pos = 0;
	count_round = 0;
	
	while(1)
	{
		Display();
		usbPoll();
	}
}

void Display()
{
	if(wheel_pos == 360 || !in_c(3))
	{
		count_round++;
		wheel_pos = 0;
		i		  = 0;
	}
	
	PORTB = led_value[wheel_pos];
	PORTC = led_value[wheel_pos]>>8;

	if(i == 24)
	{
		wheel_pos++;
		i = 0;
	}
	i++;
}

usbMsgLen_t usbFunctionSetup(uchar data[8])
{
    usbRequest_t *rq = (void *)data;
    static uchar dataBuffer[1];

    if(rq->bRequest == VENDOR_RQ_COPY_DATA)
    {
        uint8_t deg0    = rq->wIndex.bytes[0];
        uint8_t deg1	= rq->wIndex.bytes[1];
        uint8_t valB	= rq->wValue.bytes[0];
        uint8_t valC	= rq->wValue.bytes[1];
        uint16_t _deg   = deg1*256+deg0;
        led_value[_deg] = valB + valC*256;
        return 0;
    }
    else if (rq->bRequest == VENDOR_RQ_GET_REED)
    {
        dataBuffer[0] = count_round;
        usbMsgPtr = dataBuffer;
        return 1;
    }
    return 0; 
}
