import usb
from time import sleep

####################################
RQ_COPY_DATA  = 0
RQ_GET_REED   = 1

####################################
class Board:
    def __init__(self):
        #print "Looking for MCU board..."
        dev = self.find_board()
        if not dev: raise "MCU board not found!"
        #print "MCU board found"
        self.handle = dev.open()

    def find_board(self):
        board = None
        for bus in usb.busses():
            for dev in bus.devices:
                if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
                    return dev
        return None

    def copy_led(self,deg,valB,valC):
        reqType = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
        try:
        	self.handle.controlMsg(reqType, RQ_COPY_DATA, None, value=valC*256+valB ,index=deg,timeout=1000)
       	except:
       		pass

    def get_switch(self):
        reqType = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
        try:
        	buf = self.handle.controlMsg(reqType, RQ_GET_REED, 1)
        	return buf[0]
        except:
       		pass

if __name__ == "__main__":
	#check round
	b = Board()
	for x in range(0,180):
		b.copy_led(x,0,0b00001000)
	for x in range(180,360):
		b.copy_led(x,255,255)
	sleep(2)
	print b.get_switch()
	sleep(1)
	print b.get_switch()
